## eog-debug

eog-debug

## Functions

void | eog_debug_init ()
void | eog_debug ()
void | eog_debug_message ()

## Types and Values

enum | EogDebug
#define | DEBUG_WINDOW
#define | DEBUG_VIEW
#define | DEBUG_JOBS
#define | DEBUG_THUMBNAIL
#define | DEBUG_IMAGE_DATA
#define | DEBUG_IMAGE_LOAD
#define | DEBUG_IMAGE_SAVE
#define | DEBUG_LIST_STORE
#define | DEBUG_PREFERENCES
#define | DEBUG_PRINTING
#define | DEBUG_LCMS
#define | DEBUG_PLUGINS

## Description

## Functions

### eog_debug_init ()

    void
    eog_debug_init (void);

### eog_debug ()

    void
    eog_debug (EogDebug section,
               const gchar *file,
               gint line,
               const gchar *function);

### eog_debug_message ()

    void
    eog_debug_message (EogDebug section,
                       const gchar *file,
                       gint line,
                       const gchar *function,
                       const gchar *format,
                       ...);

## Types and Values

### enum EogDebug

#### Members

EOG_DEBUG_NO_DEBUG |  |
EOG_DEBUG_WINDOW |  |
EOG_DEBUG_VIEW |  |
EOG_DEBUG_JOBS |  |
EOG_DEBUG_THUMBNAIL |  |
EOG_DEBUG_IMAGE_DATA |  |
EOG_DEBUG_IMAGE_LOAD |  |
EOG_DEBUG_IMAGE_SAVE |  |
EOG_DEBUG_LIST_STORE |  |
EOG_DEBUG_PREFERENCES |  |
EOG_DEBUG_PRINTING |  |
EOG_DEBUG_LCMS |  |
EOG_DEBUG_PLUGINS |  |

### DEBUG_WINDOW

    #define DEBUG_WINDOW		EOG_DEBUG_WINDOW,      __FILE__, __LINE__, G_STRFUNC

### DEBUG_VIEW

    #define DEBUG_VIEW		EOG_DEBUG_VIEW,        __FILE__, __LINE__, G_STRFUNC

### DEBUG_JOBS

    #define DEBUG_JOBS		EOG_DEBUG_JOBS,        __FILE__, __LINE__, G_STRFUNC

### DEBUG_THUMBNAIL

    #define DEBUG_THUMBNAIL		EOG_DEBUG_THUMBNAIL,   __FILE__, __LINE__, G_STRFUNC

### DEBUG_IMAGE_DATA

    #define DEBUG_IMAGE_DATA EOG_DEBUG_IMAGE_DATA,  __FILE__, __LINE__, G_STRFUNC

### DEBUG_IMAGE_LOAD

    #define DEBUG_IMAGE_LOAD EOG_DEBUG_IMAGE_LOAD,  __FILE__, __LINE__, G_STRFUNC

### DEBUG_IMAGE_SAVE

    #define DEBUG_IMAGE_SAVE EOG_DEBUG_IMAGE_SAVE,  __FILE__, __LINE__, G_STRFUNC

### DEBUG_LIST_STORE

    #define DEBUG_LIST_STORE EOG_DEBUG_LIST_STORE,  __FILE__, __LINE__, G_STRFUNC

### DEBUG_PREFERENCES

    #define DEBUG_PREFERENCES EOG_DEBUG_PREFERENCES, __FILE__, __LINE__, G_STRFUNC

### DEBUG_PRINTING

    #define DEBUG_PRINTING		EOG_DEBUG_PRINTING,    __FILE__, __LINE__, G_STRFUNC

### DEBUG_LCMS

    #define DEBUG_LCMS 		EOG_DEBUG_LCMS,        __FILE__, __LINE__, G_STRFUNC

### DEBUG_PLUGINS

    #define DEBUG_PLUGINS 		EOG_DEBUG_PLUGINS,     __FILE__, __LINE__, G_STRFUNC